import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.5
import QtQuick.Controls.Styles 1.4

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("registerResource")

    signal register()
    signal unregister(int n)

    property bool mute: true

    Row{
        id: row1
        Image {
            id: image1
            width: 96
            height: 96
            cache: false//
            source: mute ? "":"qrc:/img7.jpg"

        }
        Image {
            id: image2
            width: 96
            height: 96
            cache: false
            source: mute ? "":"qrc:/img8.jpg"

        }
        Image {
            id: image3
            width: 96
            height: 96
            cache: false
            source: mute ? "":"qrc:/img9.jpg"

        }
        Image {
            id: image4
            width: 48
            height: 96
            cache: false
            source: mute ? "":"qrc:/img10.jpg"

        }
        Image {
            id: image5
            width: 48
            height: 96
            cache: false
            source: mute ? "":"qrc:/img11.jpg"

        }
        Image {
            id: image6
            width: 48
            height: 96
            cache: false
            source: mute ? "":"qrc:/img12.jpg"

        }
    }
    Row{
        anchors.top: row1.bottom
        Button{
            id: button1
            text: qsTr("register")
            onClicked: {
                register()
            }
        }
        Button{
            id: button2
            text: qsTr("unregister")
            onClicked: {
                unregister(1)
            }
        }
        Button{
            id: button3
            text: qsTr("unregister3Times")
            onClicked: {
                unregister(3)
            }
        }
        Button{
            id: button4
            text: qsTr("switch")
            onClicked: {
                mute = !mute
            }
        }
        Button{
            id: button5
            text: qsTr("register_switch_unregister")
            onClicked: {
                register()
                mute = !mute
                unregister(1)
            }
        }
    }
}
